Skip to content
vocapable.Docs

Ask Twilio how an unconfirmed purchase ended (never buys)

POST
/v1/workspace/numbers/purchases/{purchase_id}/check
curl --request POST \
--url https://api.vocapable.com/v1/workspace/numbers/purchases/example/check \
--header 'Authorization: Bearer <token>'
purchase_id
required
Purchase Id
string

Successful Response

Media typeapplication/json
WorkspaceNumberPurchase
object
id
required
Id
string
phone_e164
required
Phone E164
string
number_type
required
Number Type
string
Allowed values: local toll_free
line_name
required
Any of:
string
state
required
State
string
Allowed values: started unresolved acquired refused
line_id
required
Any of:
string
messaging_enrollment
required
Messaging Enrollment
string
Allowed values: pending not_applicable enrolled failed
failure_reason
required
Any of:
string
emergency_address_required
required
Emergency Address Required
boolean
requested_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
created_at
required
Created At
string format: date-time
acquired_at
required
Any of:
string format: date-time
Example
{
"number_type": "local",
"state": "started",
"messaging_enrollment": "pending"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}